Subject: Re: bug#79024: 31.0.50; Multiple working trees support for VC

From: Spencer Baugh <[email-masked]>
Date: Fri, 25 Jul 2025 14:43:24 -0400

Sean Whitton <[email-masked]> writes:

> Hello,
>
> On Fri 25 Jul 2025 at 11:29am -04, Spencer Baugh wrote:
>
>> Or... maybe we could just not implement it for vc-hg?  Maybe vc-hg just
>> won't support switching to other worktrees?  At least at the start?
>
> I don't think implementing or not implementing it for Hg implies locking
> into any API, and I've already implemented it, so I might as well
> install it, I think.

Well... if we didn't implement worktree-switching for vc-hg, then we
could indeed have a reliable "other-working-trees" backend function,
instead of "known-other-working-trees".  That's the lock-in, I guess.

But anyway, I agree, might as well go ahead with
known-other-working-trees, that seems fine to have as the API.